Skip to main content
POST
Create a managed job

Authorizations

Authorization
string
header
required

Synth customer access token for the current user and organization.

Headers

Idempotency-Key
string | null

Path Parameters

user_id
string<uuid>
required

Body

application/json

Request envelope for side-effect-free Harbor config translation.

config
Config · object
required
client_context
HarborClientContext · object

Optional diagnostic metadata from a Harbor-compatible client.

harbor_commit
string | null
harbor_version
string
default:0.13.0
source
string
default:synth-cli
strict
boolean
default:true

Response

Successful Response

Managed execution receipt for a Harbor-compatible job.

bundle_url
string | null
required
events_url
string | null
required
harbor_version
string
required
job_id
string
required
kind
enum<string>
required
Available options:
job,
trial
state
string
required
status_url
string
required
accepted
boolean
default:true
next_commands
string[]
partial_support
Partial Support · object
submission_disposition
enum<string>
default:created
Available options:
created,
replayed
trial_id
string | null
unsupported_fields
HarborFieldFinding · object[]
warnings
HarborFieldFinding · object[]